Package com.tietoenator.trip.jxp.ccl

# Class TdbTerm

java.lang.Object
com.tietoenator.trip.jxp.ccl.TdbTerm

public class TdbTerm extends Object
An entry in a TdbTermList

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbTerm(String term, int recs)`
  Constructor
  `TdbTerm(String term, int recs, int baselineRecs)`
  Constructor for facet terms with baseline information
  `TdbTerm(String term, long recs)`
  Constructor
  `TdbTerm(String term, long recs, long baselineRecs)`
  Constructor for facet terms with baseline information

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBaselineCount()`
  Retrieve the number of records in which the term occurred in the baseline.
  `long`
  `getLongBaselineCount()`
  Retrieve the number of records in which the facet value occurred in the baseline.
  `long`
  `getLongRecordCount()`
  Retrieve the number of records in which the term occurs
  `int`
  `getRecordCount()`
  Retrieve the number of records in which the term occurs
  `String`
  `getTerm()`
  Retrieve the term
  `boolean`
  `isBaselineValid()`
  Returns true if the baseline count information is valid for this term.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbTerm

    public TdbTerm(String term, int recs)
    Constructor
    Parameters:
      `term` - The term
      `recs` - The number of records in which the term occurs

  - ### TdbTerm

    public TdbTerm(String term, long recs)
    Constructor
    Parameters:
      `term` - The term
      `recs` - The number of records in which the term occurs

  - ### TdbTerm

    public TdbTerm(String term, int recs, int baselineRecs)
    Constructor for facet terms with baseline information
    Parameters:
      `term` - The term
      `recs` - The number of records in which the term occurs
      `baselineRecs` - The number of records in which the term occurs in the basline

  - ### TdbTerm

    public TdbTerm(String term, long recs, long baselineRecs)
    Constructor for facet terms with baseline information
    Parameters:
      `term` - The term
      `recs` - The number of records in which the term occurs
      `baselineRecs` - The number of records in which the term occurs in the basline

- ## Method Details

  - ### getTerm

    public String getTerm()
    Retrieve the term
    Returns:
      The term

  - ### getLongRecordCount

    public long getLongRecordCount()
    Retrieve the number of records in which the term occurs
    Returns:
      Record count
    Since:
      8.0

  - ### getRecordCount

    public int getRecordCount()
    Retrieve the number of records in which the term occurs
    Returns:
      Record count If the record count is larger than Integer.MAX_VALUE, this property will return Integer.MAX_VALUE. To get the actual record count of terms that have a count larger than Integer.MAX_VALUE records, use the getLongRecordCount() method.

  - ### getBaselineCount

    public int getBaselineCount()
    Retrieve the number of records in which the term occurred in the baseline. Only valid with terms associated with facets that have been with baseline information.
    Returns:
      Record count in baseline If the baseline count is larger than Integer.MAX_VALUE, this property will return Integer.MAX_VALUE. To get the actual baseline count of terms that have a count larger than Integer.MAX_VALUE records, use the getLongBaselineCount() method.

  - ### getLongBaselineCount

    public long getLongBaselineCount()
    Retrieve the number of records in which the facet value occurred in the baseline. Only valid with terms associated with facets that have been with baseline information.
    Returns:
      Record count in baseline
    Since:
      8.0

  - ### isBaselineValid

    public boolean isBaselineValid()
    Returns true if the baseline count information is valid for this term.
    Returns:
      True if baselineCount is valid